1.0
1.0
post /v1/clusters/{cluster_id}/restore
Description
Create Restore Cluster.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | cluster_id required | Cluster ID Example : | string | None |
| body | body required | ClusterRestoreRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 202 | Accepted | AsyncResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/clusters/{cluster_id}/restore
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = cachestore 1.0"
Request body
{
"allowable_ip_addresses": [],
"backup_history_number": "",
"backup_recovery_time": "",
"block_storage_groups": [],
"instance_name_prefix": "",
"maintenance_option": {
"period_hour": "",
"starting_day_of_week": "MON",
"starting_time": ""
},
"name": "",
"server_type_name": "",
"tags": []
}
Example HTTP response
Response 202
{
"request_id": "req-4f668846-8a3d-49f1-8111-451ebccf445c",
"resource": {
"id": "109a585ae67b4e8482fdafc8a4a5be74"
}
}